Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui
Class TextBlock

    java.lang.Object
      org.biojava.bio.gui.TextBlock

All Implemented Interfaces:
  BlockPainter

    public class TextBlock

extends Object
implements BlockPainter

A BlockPainter that renders letters in proportion to the size of the signal.

Author:
  Matthew Pocock, Thomas Down

Constructor Summary
`TextBlock()`

Method Summary
`Font` | `getLogoFont()` Retrieve the current font.
`void` | `paintBlock(LogoContext ctxt, Rectangle2D block, AtomicSymbol sym)`
`void` | `setLogoFont(Font logoFont)` Set the current logo font.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextBlock

    public TextBlock()

Method Detail

### getLogoFont

    public Font getLogoFont()

  Retrieve the current font.

  Returns:
    the current logo font

### setLogoFont

    public void setLogoFont(Font logoFont)

  Set the current logo font.

  Parameters:
    `logoFont` - the new Font to render the logo letters in

### paintBlock

    public void paintBlock(LogoContext ctxt,
                           Rectangle2D block,
                           AtomicSymbol sym)

  Specified by:
    `paintBlock` in interface `BlockPainter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD